Skip to content

UserTrackingType⁠

Perform various operations for Symitar parameters.

Operations⁠

getUserTrackingTypeSelectFields⁠

POST

Execute the persistent ParameterService getUserTrackingTypeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserTrackingTypeRecordSelectionintegeroptional
UserTrackingTypeTrackingTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getUserTrackingTypeSelectFields
POST /nexum/627/persistent/parameter/getUserTrackingTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "UserTrackingTypeRecordSelection": 0,
  "UserTrackingTypeTrackingType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllUserTrackingTypeFields": true,
    "UserTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getUserTrackingTypePagedListSelectFields⁠

POST

Execute the persistent ParameterService getUserTrackingTypePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getUserTrackingTypePagedListSelectFields
POST /nexum/627/persistent/parameter/getUserTrackingTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllUserTrackingTypeFields": true,
    "UserTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchUserTrackingTypePagedSelectFields⁠

POST

Execute the persistent ParameterService searchUserTrackingTypePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchUserTrackingTypePagedSelectFields
POST /nexum/627/persistent/parameter/searchUserTrackingTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllUserTrackingTypeFields": true,
    "UserTrackingTypeFields": {
      "Description": true,
      "ParentClosingOption": true,
      "RecordSelection": true,
      "TrackingType": true,
      "UserRate20": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateUserTrackingTypeByID⁠

POST

Execute the persistent ParameterService updateUserTrackingTypeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

UserTrackingTypeRecordSelectionintegeroptional
UserTrackingTypeTrackingTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateUserTrackingTypeByID
POST /nexum/627/persistent/parameter/updateUserTrackingTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "UserTrackingTypeRecordSelection": 0,
  "UserTrackingTypeTrackingType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "UserTrackingTypeFields": {
    "Description": "string",
    "ParentClosingOption": true,
    "RecordSelection": 0,
    "TrackingType": 0,
    "UserRate20": [
      {
        "EntryId": 0,
        "UserRate20": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}